#root {
    max-width: 1500px;
    margin: 0 auto;
}
.month-selector {
    max-width: 300px;
    margin-right: 20px;
}
#sites-table-container {
    max-height: calc(100vh - 00px);
 /* overflow: auto;*/
  position: relative;
}
#sites-table-container thead {
      position: sticky;
  top: 0;
  z-index: 2;
  background-color: white; /* Подберите цвет под вашу тему */
}
#sites-table-container th, #sites-table-container td {
  z-index: 0;
  padding: 6px !important;
}
/* Фиксация первого столбца */
#sites-table-container thead th:first-child,
#sites-table-container tbody td:first-child {
  position: sticky;
  left: 0;
  z-index: 1;
}
/* Фиксация второго столбца */
#sites-table-container thead th:nth-child(2),
#sites-table-container tbody td:nth-child(2) {
  position: sticky;
  left: 44px; /* Ширина первого столбца */
  z-index: 1;
}
/* Для заголовков увеличиваем z-index */
#sites-table-container thead th:first-child, #sites-table-container thead th:nth-child(2) {
  z-index: 2;
}
#sites-table-container thead tr:nth-child(2) th {
  z-index: 0;
}
.site-edit-button {
  float:right;
}
#sites-table-container {
  & thead th {
    background-color: #bbd1e7; /* Серый фон */
  }
  /* Стиль для четных строк (tr) */
  & tr:nth-child(even) {
    background-color: #f2f2f2; /* Светло-серый фон */
  }
}
.metrika-dialog .MuiDialogContent-root {
  overflow-y: unset;
}
.filter-panel {
  display: flex;
}
.nowrap {
  white-space: nowrap;
}
.mb20 {
  margin-bottom: 20px !important;
}
.mw400 {
  min-width: 400px !important;
}
.width50 {
  width: 50%;
}
.col-num {
    text-align: center !important;
}
.total-row td {
  font-weight: bold;
  text-align: right;
}
.MuiTableSortLabel-root {
    text-align: center;
    display: block !important;
}
.MuiTableSortLabel-root svg {
    display: block;
        margin: 0 auto;
}
.process-wrapper {
    gap: 20px;
}
.deviation-badge {
  font-size: 0.75em;      /* Более мелкий шрифт */
  display: block;          /* Чтобы был над основным показателем */
  line-height: 1.2;
  margin-bottom: 2px;
}

.deviation-positive {
  color: #4caf50;  /* Зеленый */
}

.deviation-negative {
  color: #f44336;  /* Красный */
}

.deviation-zero {
  color: #9e9e9e;  /* Серый для нулевого отклонения */
}

/* Для ячейки таблицы, чтобы расположить отклонение над доходом */
.deviation-cell {
  display: flex;
  flex-direction: column;
  align-items: flex-end;  /* Выравнивание по правому краю */
}